/************************************************************************
* COPYRIGHT:   	Copyright    2001 Symbol Technologies, Inc. 
*
* FILE:        	UserControl.h
*
* SYSTEM:      	Symbol GSM Driver
*
* HEADER:      	User Defined Control Header
*
* DESCRIPTION: 	Definitions used for obtaining driver version
*			   	and modem information from the GSM modem driver 
*			   	using the Serial manager User Defined Control Code
*
* HISTORY:     	07/28/00	M. Faith   	Created
*			   	01/30/01	M. Faith	Added Symbol Copyright statement
*				03/11/02	M. Faith	Added G18 Modem Definition
*              
*************************************************************************/


/*
 * Info Control Block
 */
typedef struct _modemInfoCB {
	UInt16  cmd;
	UInt16	reserved1;
	UInt16	retVal;
	UInt16	retVal2;
	void	*paramPtr;
	} modemInfoCB;

/*
 * Control Block Commands
 */	
#define MI_GET_MODEM_TYPE	1
#define MI_GET_DRIVER_VER	2


/*
 * Control Block Return Values
 */	
#define MI_INVALID_CONTROL_CMD -1

#define UBINETICS_MODEM		1
#define WAVECOM_MODEM		2
#define MOTOROLA_G18_MODEM	3

	

